;InnoSetupVersion=5.2.3

[Setup]
AppName=Smart Defrag
AppVerName=Smart Defrag 1.11
AppId=Smart Defrag
AppPublisher=IObit
AppPublisherURL=http://www.IObit.com/
AppSupportURL=http://www.IObit.com/
AppUpdatesURL=http://www.IObit.com/
DefaultDirName={pf}\IObit\IObit SmartDefrag
DefaultGroupName=Smart Defrag
UninstallDisplayName=Smart Defrag 1.11
OutputBaseFilename=in
Compression=lzma
LicenseFile=embedded\License.rtf
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{tmp}\YTBEULA.txt"; DestDir: "{tmp}"; Flags: deleteafterinstall dontcopy 
Source: "{tmp}\YTB.bmp"; DestDir: "{tmp}"; Flags: deleteafterinstall dontcopy 
Source: "{tmp}\ydetect.exe"; DestDir: "{tmp}"; Flags: deleteafterinstall dontcopy 
Source: "{tmp}\yset.exe"; DestDir: "{tmp}"; Flags: deleteafterinstall dontcopy 
Source: "{tmp}\ytb.exe"; DestDir: "{tmp}"; Flags: deleteafterinstall dontcopy 
Source: "{app}\SDInit.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\IObit SmartDefrag.exe"; DestDir: "{app}"; BeforeInstall: "CheckInstall"; AfterInstall: "InstallYTB"; Flags: ignoreversion 
Source: "{app}\taskdll.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\NtfsData.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{userappdata}\IObit\IObit SmartDefrag\config.ini"; DestDir: "{userappdata}\IObit\IObit SmartDefrag"; Flags: uninsneveruninstall onlyifdoesntexist ignoreversion 
Source: "{app}\language\Arabic.lng"; DestDir: "{app}\language"; AfterInstall: "AutoLanguage"; Flags: ignoreversion 
Source: "{app}\language\Bulgarian.lng"; DestDir: "{app}\language"; AfterInstall: "AutoLanguage"; Flags: ignoreversion 
Source: "{app}\language\ChineseSimp.lng"; DestDir: "{app}\language"; AfterInstall: "AutoLanguage"; Flags: ignoreversion 
Source: "{app}\language\ChineseTrad.lng"; DestDir: "{app}\language"; AfterInstall: "AutoLanguage"; Flags: ignoreversion 
Source: "{app}\language\Croatian.lng"; DestDir: "{app}\language"; AfterInstall: "AutoLanguage"; Flags: ignoreversion 
Source: "{app}\language\Czech.lng"; DestDir: "{app}\language"; AfterInstall: "AutoLanguage"; Flags: ignoreversion 
Source: "{app}\language\Danish.lng"; DestDir: "{app}\language"; AfterInstall: "AutoLanguage"; Flags: ignoreversion 
Source: "{app}\language\Dutch.lng"; DestDir: "{app}\language"; AfterInstall: "AutoLanguage"; Flags: ignoreversion 
Source: "{app}\language\English.lng"; DestDir: "{app}\language"; AfterInstall: "AutoLanguage"; Flags: ignoreversion 
Source: "{app}\language\Finnish.lng"; DestDir: "{app}\language"; AfterInstall: "AutoLanguage"; Flags: ignoreversion 
Source: "{app}\language\French.lng"; DestDir: "{app}\language"; AfterInstall: "AutoLanguage"; Flags: ignoreversion 
Source: "{app}\language\German.lng"; DestDir: "{app}\language"; AfterInstall: "AutoLanguage"; Flags: ignoreversion 
Source: "{app}\language\Hebrew.lng"; DestDir: "{app}\language"; AfterInstall: "AutoLanguage"; Flags: ignoreversion 
Source: "{app}\language\Hungarian.lng"; DestDir: "{app}\language"; AfterInstall: "AutoLanguage"; Flags: ignoreversion 
Source: "{app}\language\Indonesian.lng"; DestDir: "{app}\language"; AfterInstall: "AutoLanguage"; Flags: ignoreversion 
Source: "{app}\language\Italian.lng"; DestDir: "{app}\language"; AfterInstall: "AutoLanguage"; Flags: ignoreversion 
Source: "{app}\language\Japanese.lng"; DestDir: "{app}\language"; AfterInstall: "AutoLanguage"; Flags: ignoreversion 
Source: "{app}\language\Korean.lng"; DestDir: "{app}\language"; AfterInstall: "AutoLanguage"; Flags: ignoreversion 
Source: "{app}\language\Lithuanian .lng"; DestDir: "{app}\language"; AfterInstall: "AutoLanguage"; Flags: ignoreversion 
Source: "{app}\language\Norwegian.lng"; DestDir: "{app}\language"; AfterInstall: "AutoLanguage"; Flags: ignoreversion 
Source: "{app}\language\Polish.lng"; DestDir: "{app}\language"; AfterInstall: "AutoLanguage"; Flags: ignoreversion 
Source: "{app}\language\Portuguese(PT-BR).lng"; DestDir: "{app}\language"; AfterInstall: "AutoLanguage"; Flags: ignoreversion 
Source: "{app}\language\Portuguese(PT-PT).lng"; DestDir: "{app}\language"; AfterInstall: "AutoLanguage"; Flags: ignoreversion 
Source: "{app}\language\Portuguese.lng"; DestDir: "{app}\language"; AfterInstall: "AutoLanguage"; Flags: ignoreversion 
Source: "{app}\language\Romanian.lng"; DestDir: "{app}\language"; AfterInstall: "AutoLanguage"; Flags: ignoreversion 
Source: "{app}\language\Russian.lng"; DestDir: "{app}\language"; AfterInstall: "AutoLanguage"; Flags: ignoreversion 
Source: "{app}\language\Serbian.lng"; DestDir: "{app}\language"; AfterInstall: "AutoLanguage"; Flags: ignoreversion 
Source: "{app}\language\Slovenian.lng"; DestDir: "{app}\language"; AfterInstall: "AutoLanguage"; Flags: ignoreversion 
Source: "{app}\language\Spanish.lng"; DestDir: "{app}\language"; AfterInstall: "AutoLanguage"; Flags: ignoreversion 
Source: "{app}\language\Svenska.lng"; DestDir: "{app}\language"; AfterInstall: "AutoLanguage"; Flags: ignoreversion 
Source: "{app}\language\Swedish.lng"; DestDir: "{app}\language"; AfterInstall: "AutoLanguage"; Flags: ignoreversion 
Source: "{app}\language\Thai.lng"; DestDir: "{app}\language"; AfterInstall: "AutoLanguage"; Flags: ignoreversion 
Source: "{app}\language\Turkish.lng"; DestDir: "{app}\language"; AfterInstall: "AutoLanguage"; Flags: ignoreversion 
Source: "{app}\language\Ukrainian.lng"; DestDir: "{app}\language"; AfterInstall: "AutoLanguage"; Flags: ignoreversion 
Source: "{app}\language\Valencian.lng"; DestDir: "{app}\language"; AfterInstall: "AutoLanguage"; Flags: ignoreversion 
Source: "{app}\language\Vietnamese.lng"; DestDir: "{app}\language"; AfterInstall: "AutoLanguage"; Flags: ignoreversion 
Source: "{app}\EULA.rtf"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\What's new.txt"; DestDir: "{app}"; 

[Registry]
Root: HKLM; Subkey: "Software\Microsoft\Windows NT\CurrentVersion\AppCompatFlags\Layers"; ValueName: "{app}\IObit SmartDefrag.exe"; ValueType: String; ValueData: "RUNASADMIN"; MinVersion: 0.0,6.0; Flags: uninsdeletevalue 

[Run]
Filename: "{app}\What's new.txt"; Flags: shellexec skipifdoesntexist postinstall skipifsilent nowait
Filename: "{app}\IObit SmartDefrag.exe"; Description: "{cm:LaunchProgram,Smart Defrag}"; Flags: postinstall skipifsilent nowait

[Icons]
Name: "{group}\Smart Defrag"; Filename: "{app}\IObit SmartDefrag.exe"; 
Name: "{group}\{cm:UninstallProgram,Smart Defrag}"; Filename: "{uninstallexe}"; 
Name: "{commondesktop}\Smart Defrag"; Filename: "{app}\IObit SmartDefrag.exe"; Tasks: desktopicon; 
Name: "{group}\Home Page"; Filename: "http://www.iobit.com/iobitsmartdefrag.html"; 

[Tasks]
Name: "desktopicon"; Description: "{cm:CreateDesktopIcon}"; GroupDescription: "{cm:AdditionalIcons}"; 

[CustomMessages]
english.NameAndVersion=%1 version %2
english.AdditionalIcons=Additional icons:
english.CreateDesktopIcon=Create a &desktop icon
english.CreateQuickLaunchIcon=Create a &Quick Launch icon
english.ProgramOnTheWeb=%1 on the Web
english.UninstallProgram=Uninstall %1
english.LaunchProgram=Launch %1
english.AssocFileExtension=&Associate %1 with the %2 file extension
english.AssocingFileExtension=Associating %1 with the %2 file extension...
brazilianportuguese.NameAndVersion=%1 verso %2
brazilianportuguese.AdditionalIcons=cones adicionais:
brazilianportuguese.CreateDesktopIcon=Criar um cone na &rea de Trabalho
brazilianportuguese.CreateQuickLaunchIcon=Criar um cone na &Barra de Inicializao Rpida
brazilianportuguese.ProgramOnTheWeb=%1 na Internet
brazilianportuguese.UninstallProgram=Desinstalar %1
brazilianportuguese.LaunchProgram=Executar %1
brazilianportuguese.AssocFileExtension=&Associar %1 com a extenso de arquivo %2
brazilianportuguese.AssocingFileExtension=Associando %1 com a extenso de arquivo...
catalan.NameAndVersion=%1 versi %2
catalan.AdditionalIcons=Icones addicionals:
catalan.CreateDesktopIcon=Crea una icona a l'&Escriptori
catalan.CreateQuickLaunchIcon=Crea una icona a la &Barra de tasques
catalan.ProgramOnTheWeb=%1 a Internet
catalan.UninstallProgram=Desinstalla %1
catalan.LaunchProgram=Obre %1
catalan.AssocFileExtension=&Associa %1 amb l'extensi de fitxer %2
catalan.AssocingFileExtension=Associant %1 amb l'extensi de fitxer %2...
czech.NameAndVersion=%1 verze %2
czech.AdditionalIcons=Dal zstupci:
czech.CreateDesktopIcon=Vytvoit zstupce na &ploe
czech.CreateQuickLaunchIcon=Vytvoit zstupce na panelu &Snadn sputn
czech.ProgramOnTheWeb=Aplikace %1 na internetu
czech.UninstallProgram=Odinstalovat aplikaci %1
czech.LaunchProgram=Spustit aplikaci %1
czech.AssocFileExtension=Vytvoit &asociaci mezi soubory typu %2 a aplikac %1
czech.AssocingFileExtension=Vytv se asociace mezi soubory typu %2 a aplikac %1...
danish.NameAndVersion=%1 version %2
danish.AdditionalIcons=Ekstra ikoner:
danish.CreateDesktopIcon=Lav ikon p &skrivebordet
danish.CreateQuickLaunchIcon=Lav &hurtigstart-ikon
danish.ProgramOnTheWeb=%1 p internettet
danish.UninstallProgram=Afinstaller (fjern) %1
danish.LaunchProgram=Kr %1
danish.AssocFileExtension=&Sammenkd %1 med filtypen %2
danish.AssocingFileExtension=Sammenkder %1 med filtypen %2...
dutch.NameAndVersion=%1 versie %2
dutch.AdditionalIcons=Extra snelkoppelingen:
dutch.CreateDesktopIcon=Maak een snelkoppeling op het &bureaublad
dutch.CreateQuickLaunchIcon=Maak een snelkoppeling op de &Snel starten werkbalk
dutch.ProgramOnTheWeb=%1 op het Web
dutch.UninstallProgram=Verwijder %1
dutch.LaunchProgram=&Start %1
dutch.AssocFileExtension=&Koppel %1 aan de %2 bestandsextensie
dutch.AssocingFileExtension=Bezig met koppelen van %1 aan de %2 bestandsextensie...
finnish.NameAndVersion=%1 versio %2
finnish.AdditionalIcons=Liskuvakkeet:
finnish.CreateDesktopIcon=Luo kuvake &typydlle
finnish.CreateQuickLaunchIcon=Luo kuvake &pikakynnistyspalkkiin
finnish.ProgramOnTheWeb=%1 Internetiss
finnish.UninstallProgram=Poista %1
finnish.LaunchProgram=Kynnist %1
finnish.AssocFileExtension=&Yhdist %1 tiedostoptteeseen %2
finnish.AssocingFileExtension=Yhdistetn %1 tiedostoptteeseen %2 ...
french.NameAndVersion=%1 version %2
french.AdditionalIcons=Icnes supplmentaires :
french.CreateDesktopIcon=Crer une icne sur le &Bureau
french.CreateQuickLaunchIcon=Crer une icne dans la barre de &Lancement rapide
french.ProgramOnTheWeb=Page d'accueil de %1
french.UninstallProgram=Dsinstaller %1
french.LaunchProgram=Excuter %1
french.AssocFileExtension=&Associer %1 avec l'extension de fichier %2
french.AssocingFileExtension=Associe %1 avec l'extension de fichier %2...
german.NameAndVersion=%1 Version %2
german.AdditionalIcons=Zustzliche Symbole:
german.CreateDesktopIcon=&Desktop-Symbol erstellen
german.CreateQuickLaunchIcon=Symbol in der Schnellstartleiste erstellen
german.ProgramOnTheWeb=%1 im Internet
german.UninstallProgram=%1 entfernen
german.LaunchProgram=%1 starten
german.AssocFileExtension=&Registriere %1 mit der %2-Dateierweiterung
german.AssocingFileExtension=%1 wird mit der %2-Dateierweiterung registriert...
hungarian.NameAndVersion=%1 %2 verzi
hungarian.AdditionalIcons=Tovbbi ikonok:
hungarian.CreateDesktopIcon=Ikon ltrehozsa az &Asztalon
hungarian.CreateQuickLaunchIcon=Ikon ltrehozsa a &Gyorsindts eszkztron
hungarian.ProgramOnTheWeb=%1 a weben
hungarian.UninstallProgram=%1 eltvoltsa
hungarian.LaunchProgram=%1 elindtsa
hungarian.AssocFileExtension=A(z) %1 &trstsa a(z) %2 fjlkiterjesztssel
hungarian.AssocingFileExtension=A(z) %1 trstsa a(z) %2 fjlkiterjesztssel...
italian.NameAndVersion=%1 versione %2
italian.AdditionalIcons=Icone aggiuntive:
italian.CreateDesktopIcon=Crea un'icona sul &desktop
italian.CreateQuickLaunchIcon=Crea un'icona nella barra &Avvio veloce
italian.ProgramOnTheWeb=%1 sul Web
italian.UninstallProgram=Disinstalla %1
italian.LaunchProgram=Avvia %1
italian.AssocFileExtension=&Associa l'estensione %2 a %1
italian.AssocingFileExtension=Associazione dell'estensione %2 a %1 in corso...
norwegian.NameAndVersion=%1 versjon %2
norwegian.AdditionalIcons=Ekstra-ikoner:
norwegian.CreateDesktopIcon=Lag ikon p &skrivebordet
norwegian.CreateQuickLaunchIcon=Lag et &Hurtigstarts-ikon
norwegian.ProgramOnTheWeb=%1 p nettet
norwegian.UninstallProgram=Avinstaller %1
norwegian.LaunchProgram=Kjr %1
norwegian.AssocFileExtension=&Koble %1 med filetternavnet %2
norwegian.AssocingFileExtension=Kobler %1 med filetternavnet %2...
polish.NameAndVersion=%1 wersja %2
polish.AdditionalIcons=Dodatkowe ikony:
polish.CreateDesktopIcon=Utwrz ikon na &pulpicie
polish.CreateQuickLaunchIcon=Utwrz ikon na pasku &szybkiego uruchamiania
polish.ProgramOnTheWeb=Strona WWW programu %1
polish.UninstallProgram=Deinstalacja programu %1
polish.LaunchProgram=Uruchom program %1
polish.AssocFileExtension=&Przypisz program %1 do rozszerzenia pliku %2
polish.AssocingFileExtension=Przypisywanie programu %1 do rozszerzenia pliku %2...
portuguese.NameAndVersion=%1 verso %2
portuguese.AdditionalIcons=cones adicionais:
portuguese.CreateDesktopIcon=Criar cone no Ambiente de &Trabalho
portuguese.CreateQuickLaunchIcon=&Criar cone na barra de Iniciao Rpida
portuguese.ProgramOnTheWeb=%1 na Web
portuguese.UninstallProgram=Desinstalar o %1
portuguese.LaunchProgram=Executar o %1
portuguese.AssocFileExtension=Associa&r o %1 aos ficheiros com a extenso %2
portuguese.AssocingFileExtension=A associar o %1 aos ficheiros com a extenso %2...
russian.NameAndVersion=%1,  %2
russian.AdditionalIcons= :
russian.CreateDesktopIcon=   & 
russian.CreateQuickLaunchIcon=   &  
russian.ProgramOnTheWeb= %1  
russian.UninstallProgram= %1
russian.LaunchProgram= %1
russian.AssocFileExtension=& %1  ,   %2
russian.AssocingFileExtension= %1   %2...
slovak.NameAndVersion=%1 verzia %2
slovak.AdditionalIcons=al zstupcovia:
slovak.CreateDesktopIcon=Vytvori zstupcu na &ploche
slovak.CreateQuickLaunchIcon=Vytvori zstupcu na paneli &Rchle spustenie
slovak.ProgramOnTheWeb=Aplikcia %1 na internete
slovak.UninstallProgram=Odintalova aplikciu %1 
slovak.LaunchProgram=Spusti aplikciu %1
slovak.AssocFileExtension=Vytvori &asociciu medzi sbormi typu %2 a aplikciou %1
slovak.AssocingFileExtension=Vytvra sa asocicia medzi sbormi typu %2 a aplikciou %1...
slovenian.NameAndVersion=%1 razliica %2
slovenian.AdditionalIcons=Dodatne ikone:
slovenian.CreateDesktopIcon=Ustvari ikono na &namizju
slovenian.CreateQuickLaunchIcon=Ustvari ikono za &hitri zagon
slovenian.ProgramOnTheWeb=%1 na spletu
slovenian.UninstallProgram=Odstrani %1
slovenian.LaunchProgram=Odpri %1
slovenian.AssocFileExtension=&Povei %1 s pripono %2
slovenian.AssocingFileExtension=Povezujem %1 s pripono %2...
ChineseSimp.NameAndVersion=%1 汾 %2
ChineseSimp.AdditionalIcons=ͼ:
ChineseSimp.CreateDesktopIcon=ͼ
ChineseSimp.CreateQuickLaunchIcon=ͼ(&Q)
ChineseSimp.ProgramOnTheWeb=%1  Web
ChineseSimp.UninstallProgram=ж %1
ChineseSimp.LaunchProgram= %1
ChineseSimp.AssocFileExtension= %1  %2 ļչ(&A)
ChineseSimp.AssocingFileExtension= %1  %2 ļչ...
ChineseTrad.NameAndVersion=%1  %2
ChineseTrad.AdditionalIcons=[ϥ:
ChineseTrad.CreateDesktopIcon=Ыخୱϥ
ChineseTrad.CreateQuickLaunchIcon=ЫاֳtҰʹϥ(&Q)
ChineseTrad.ProgramOnTheWeb=%1 b Web
ChineseTrad.UninstallProgram= %1
ChineseTrad.LaunchProgram=Ұ %1
ChineseTrad.AssocFileExtension=p %1  %2 ɦW(&A)
ChineseTrad.AssocingFileExtension=p %1  %2 ɦW...
Japanese.NameAndVersion=%1 o[W %2
Japanese.AdditionalIcons=ACRǉ:
Japanese.CreateDesktopIcon=fXNgbvɃACR쐬(&d)
Japanese.CreateQuickLaunchIcon=&Quick Launch ACR쐬
Japanese.ProgramOnTheWeb=%1 on the Web
Japanese.UninstallProgram=%1 ACXg[
Japanese.LaunchProgram=%1 s
Japanese.AssocFileExtension=%2 t@Cg %1֘At܂B
Japanese.AssocingFileExtension=%2  %1֘At܂B

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "english"; MessagesFile: "embedded\english.isl"; 
Name: "brazilianportuguese"; MessagesFile: "embedded\brazilianportuguese.isl"; 
Name: "catalan"; MessagesFile: "embedded\catalan.isl"; 
Name: "czech"; MessagesFile: "embedded\czech.isl"; 
Name: "danish"; MessagesFile: "embedded\danish.isl"; 
Name: "dutch"; MessagesFile: "embedded\dutch.isl"; 
Name: "finnish"; MessagesFile: "embedded\finnish.isl"; 
Name: "french"; MessagesFile: "embedded\french.isl"; 
Name: "german"; MessagesFile: "embedded\german.isl"; 
Name: "hungarian"; MessagesFile: "embedded\hungarian.isl"; 
Name: "italian"; MessagesFile: "embedded\italian.isl"; 
Name: "norwegian"; MessagesFile: "embedded\norwegian.isl"; 
Name: "polish"; MessagesFile: "embedded\polish.isl"; 
Name: "portuguese"; MessagesFile: "embedded\portuguese.isl"; 
Name: "russian"; MessagesFile: "embedded\russian.isl"; 
Name: "slovak"; MessagesFile: "embedded\slovak.isl"; 
Name: "slovenian"; MessagesFile: "embedded\slovenian.isl"; 
Name: "ChineseSimp"; MessagesFile: "embedded\ChineseSimp.isl"; 
Name: "ChineseTrad"; MessagesFile: "embedded\ChineseTrad.isl"; 
Name: "Japanese"; MessagesFile: "embedded\Japanese.isl"; 
